package intrinsic.flash.events;

public class AsyncErrorEvent extends intrinsic.flash.events.ErrorEvent {

	/** Accessors */

	/** Variables */
	public intrinsic.Error error;

	/** Constants */
	public static final String ASYNC_ERROR = "async_error";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AsyncErrorEvent() {
}

public AsyncErrorEvent(String arg0) {
}

public AsyncErrorEvent(String arg0, boolean arg1) {
}

public AsyncErrorEvent(String arg0, boolean arg1, boolean arg2) {
}

public AsyncErrorEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public AsyncErrorEvent(String arg0, boolean arg1, boolean arg2, String arg3, intrinsic.Error arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
